# SIGit DVM

Building on the great work of Pablo: https://github.com/pablof7z/nostr-data-vending-machine

# Supported Job Types

The following Jobs are supported by this DVM:

-   Get OnNostrSince Block Height

    -   Send nPub get Block Height (from blockchain.info)

-   More job types will be added in the future

# Demo video

https://www.youtube.com/watch?v=OJx6ExVTS7c

# License

MIT

# Start with PM2

```sh
npm i -g pm2
```

```sh
npm i -g pnpm
```

```sh
pnpm i
```

```sh
pnpm run build
```

```sh
pm2 start --name "Sigit-DVM" -- start
```

## Make PM2 auto start on reboot

```sh
pm2 save
```

```sh
pm2 startup
```

Copy/Paste given command by the pm2

Done

To remove it from startup

```sh
pm2 unstartup systemd
```
